Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002234graphvizMac GUIpublic2012-07-12 08:442012-10-25 09:54
Reporterryandesign 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS XOS Version10.6.8
Summary0002234: error: graph.h: No such file or directory
DescriptionA change made in the Graphviz sources between 2012-07-02 and 2012-07-12 has caused the Mac Graphviz.app to no longer build, failing now with:

/opt/local/include/graphviz/types.h:734:19: error: graph.h: No such file or directory

I'll attach the full build log.
TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENT
FORMER-ID
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT
VERSION2.29.20120712.0843
Attached Fileslog file icon main.log [^] (101,439 bytes) 2012-07-12 08:44

- Relationships

-  Notes
User avatar (0000262)
ryandesign (reporter)
2012-08-01 01:41

There seems to have been some progress. 2.29.20120801.0445 fails with:

ld: library not found for -lgraph

If I modify macosx/graphviz.xcodeproj/project.pbxproj and change all occurrences of "libgraph.dylib" to "libcgraph.dylib" then the build fails with:

Undefined symbols for architecture x86_64:
  "_agraphattr", referenced from:
      -[GVGraph initWithURL:error:] in GVGraph.o
User avatar (0000263)
erg (administrator)
2012-08-02 11:42

This should now be fixed, but there appear to be some odd warnings and linkage
problems that would probably be trivial for someone better versed in xcode and co.
User avatar (0000268)
erg (administrator)
2012-10-25 09:54

I believe that, thanks to Stephen and Dwight, the Mac build now works okay.

- Issue History
Date Modified Username Field Change
2012-07-12 08:44 ryandesign New Issue
2012-07-12 08:44 ryandesign File Added: main.log
2012-08-01 01:41 ryandesign Note Added: 0000262
2012-08-02 11:42 erg Note Added: 0000263
2012-10-25 09:54 erg Note Added: 0000268
2012-10-25 09:54 erg Status new => closed
2012-10-25 09:54 erg Resolution open => fixed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker